Create Invoice: Buildium
https://api.propexo.com/v1/invoices/buildium/| Interface | Method |
|---|---|
| Invoices | POST /bills |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The date of issuance for the invoice
Show 2 variants
The due date associated with the invoice
Show 2 variants
invoice_items object[]required
The Propexo unique identifier for the financial account
The Propexo unique identifier for the property
The amount of the invoice item, in cents
Possible values: >= 0
The Propexo unique identifier for the unit
Notes associated with the invoice item
Possible values: <= 240 characters
Mark up amount in cents
Possible values: >= 0
The mark up percentage
Possible values: >= 0 and <= 100
The markup type. If "Percent" is passed in we will use the mark_up_percentage value. If "Amount" is passed in we will use the total_mark_up_amount_in_cents value
Show 2 enum values
PercentAmountDescription of the invoice
The invoice or reference number that the vendor assigned to the service request
The Propexo unique identifier for the service request
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
Show 2 variants
Show 2 variants
invoice_items object[]required
The Propexo unique identifier for the financial account
The Propexo unique identifier for the property
The amount of the invoice item, in cents
Possible values: >= 0
The Propexo unique identifier for the unit
Notes associated with the invoice item
Possible values: <= 240 characters
Mark up amount in cents
Possible values: >= 0
The mark up percentage
Possible values: >= 0 and <= 100
The markup type. If "Percent" is passed in we will use the mark_up_percentage value. If "Amount" is passed in we will use the total_mark_up_amount_in_cents value
Show 2 enum values
PercentAmountDescription of the invoice
The invoice or reference number that the vendor assigned to the service request
The Propexo unique identifier for the service request
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/invoices/buildium/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"invoice_items": [
{
"financial_account_id": "string",
"property_id": "string",
"total_amount_in_cents": 0,
"unit_id": "string",
"notes": "string",
"total_mark_up_amount_in_cents": 0,
"mark_up_percentage": 0,
"mark_up_type": "Percent"
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"invoice_items": [
{
"financial_account_id": "string",
"property_id": "string",
"total_amount_in_cents": 0,
"unit_id": "string",
"notes": "string",
"total_mark_up_amount_in_cents": 0,
"mark_up_percentage": 0,
"mark_up_type": "Percent"
}
],
"description": "string",
"invoice_number": "string",
"service_request_id": "string"
}
}